<!DOCTYPE html>
<html lang="en">
  <head>
    <title>update(withBytes:isLast:) Instance Method Reference</title>
    <link rel="stylesheet" type="text/css" href="../../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../../js/jquery.min.js" defer></script>
    <script src="../../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Method/update(withBytes:isLast:)" class="dashAnchor"></a>
    <a title="update(withBytes:isLast:) Instance Method Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../../index.html">madme_ios_sdk 6.1.0 Docs</a></p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../../index.html">madme_ios_sdk Reference</a>
        <img id="carat" src="../../img/carat.png" />
        update(withBytes:isLast:) Instance Method Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Classes/AES.html">AES</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/AES/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/AES/Variant.html">– Variant</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/AES/Encryptor.html">– Encryptor</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMAdPresentationError.html">MMAdPresentationError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMCampaign.html">MMCampaign</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMError.html">MMError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMGenericUserAccountStatusChangeContext.html">MMGenericUserAccountStatusChangeContext</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMHomeScreenOption.html">MMHomeScreenOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMNotificationProcessingError.html">MMNotificationProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMPrivateInitObject.html">MMPrivateInitObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMSdk.html">MMSdk</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMUrlProcessingError.html">MMUrlProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/MMUrlSessionEventsProcessingError.html">MMUrlSessionEventsProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext">MMViewedNoSurveyNoRatingCampaignContext</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Enums/BlockMode.html">BlockMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/CipherError.html">CipherError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMAdPresentationMode.html">MMAdPresentationMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMAdPresentationResultState.html">MMAdPresentationResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMAggregateQualifier.html">MMAggregateQualifier</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMHomeScreenOptionType.html">MMHomeScreenOptionType</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMNotificationProcessingResultState.html">MMNotificationProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMUrlProcessingResultState.html">MMUrlProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMUrlSessionEventsProcessingResultState.html">MMUrlSessionEventsProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/MMUserAccountStatus.html">MMUserAccountStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums.html#/PKCS7">PKCS7</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/Padding.html">Padding</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Extensions/AnyHashable.html">AnyHashable</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/Array.html">Array</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/Array.html">Array</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMActiveCampaignsCollectionViewController.html">MMActiveCampaignsCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMAdDelivery.html">MMAdDelivery</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMAdDeliveryCollectionViewController.html">MMAdDeliveryCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMCarouselCollectionViewController.html">MMCarouselCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMEditProfileTableViewController.html">MMEditProfileTableViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMMyBenefitsViewController.html">MMMyBenefitsViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMPermissionsManager.html">MMPermissionsManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMPlist.html">MMPlist</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMPlistsTableViewController.html">MMPlistsTableViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMSimpleTableViewController.html">MMSimpleTableViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMTermsAndConditionsViewController.html">MMTermsAndConditionsViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/MMUtils.html">MMUtils</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/NSNotification.html">NSNotification</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/Notification.html">Notification</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/Notification/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/SecureBytes.html">SecureBytes</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/String.html">String</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/UIColor.html">UIColor</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Extensions/UINavigationController.html">UINavigationController</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Protocols/Cipher.html">Cipher</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/Cryptors.html">Cryptors</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMAdPresentationResultProtocol.html">MMAdPresentationResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProtocol">MMCampaignContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProviderProtocol">MMCampaignContextProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMClientIdentityProviderProtocol.html">MMClientIdentityProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMNotificationProcessingResultProtocol.html">MMNotificationProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMSdkDelegateProtocol">MMSdkDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMUrlProcessingResultProtocol.html">MMUrlProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMUrlSessionEventsProcessingResultProtocol.html">MMUrlSessionEventsProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/MMUserAccountStatusDelegateProtocol.html">MMUserAccountStatusDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/PaddingProtocol.html">PaddingProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols/Updatable.html">Updatable</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Structs/Digest.html">Digest</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Typealiases.html#/s:13madme_ios_sdk12MMIdentifiera">MMIdentifier</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>update(withBytes:isLast:)</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="k">mutating</span> <span class="kd">func</span> <span class="nf">update</span><span class="p">(</span><span class="n">withBytes</span> <span class="nv">bytes</span><span class="p">:</span> <span class="kt">ArraySlice</span><span class="o">&lt;</span><span class="kt">UInt8</span><span class="o">&gt;</span><span class="p">,</span> <span class="nv">isLast</span><span class="p">:</span> <span class="kt">Bool</span><span class="p">)</span> <span class="k">throws</span> <span class="o">-&gt;</span> <span class="p">[</span><span class="kt">UInt8</span><span class="p">]</span></code></pre>

                </div>
              </div>
            <p>Update given bytes in chunks.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13madme_ios_sdk9UpdatableP6update9withBytes6isLastSays5UInt8VGs10ArraySliceVyAHG_SbtKF"></a>
                    <a name="//apple_ref/swift/Method/update(withBytes:isLast:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:13madme_ios_sdk9UpdatableP6update9withBytes6isLastSays5UInt8VGs10ArraySliceVyAHG_SbtKF">update(withBytes:isLast:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">mutating</span> <span class="kd">func</span> <span class="nf">update</span><span class="p">(</span><span class="n">withBytes</span> <span class="nv">bytes</span><span class="p">:</span> <span class="kt">ArraySlice</span><span class="o">&lt;</span><span class="kt">UInt8</span><span class="o">&gt;</span><span class="p">,</span> <span class="nv">isLast</span><span class="p">:</span> <span class="kt">Bool</span><span class="p">)</span> <span class="k">throws</span> <span class="o">-&gt;</span> <span class="p">[</span><span class="kt">UInt8</span><span class="p">]</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2021 <a class="link" href="http://www.mad-me.com" target="_blank" rel="external">mAdme</a>. All rights reserved. (Last updated: 2021-11-04)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.11.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
